clear all
set more off

global working_dir "C:/Users/Samuele/Dropbox (Brown)/MigrationSelfEmployment/for_publication"

program main
    hard_coded_estimates
    build_meta_analysis_master
end

program hard_coded_estimates
    file open estimates_file using "$working_dir/output/causal/estimates.txt", write append

    file write estimates_file "Ozier Nairobi franchise" _tab "1" _tab "1" _tab "selfempl" _tab "0.118" _tab "0.035" _tab "837" _tab "0.243" _n ///
        "Ozier Nairobi franchise" _tab "1" _tab "1" _tab "migrate" _tab "0.023" _tab "0.024" _tab "837" _tab "0.109" _n ///
        "Ozier Nairobi grant" _tab "1" _tab "1" _tab "selfempl" _tab "0.129" _tab "0.043" _tab "837" _tab "0.243" _n ///
        "Ozier Nairobi grant" _tab "1" _tab "1" _tab "migrate" _tab "0.049" _tab "0.031" _tab "837" _tab "0.109" _n

    file close estimates_file
end

program build_meta_analysis_master
    import delimited using "$working_dir/output/causal/estimates.txt", clear

    gen ci_lo = estimate - 1.96*se 
    gen ci_hi = estimate + 1.96*se

    rename (estimate se n ci_lo ci_hi control_mean) (estimate_ se_ n_ ci_lo_ ci_hi_ control_mean_)

    replace ind = 1 if ind==.
    reshape wide estimate_ se_ n_ ci_lo_ ci_hi_ control_mean_, i(rct horizon ind) j(variable) string

    save "$working_dir/derived_data/meta_analysis_data", replace
end

* Execute
main
